curl --request POST \
--url https://aodocs.altirnao.com/api/folder/v1/folders/{folderId}/extendedPermissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"folderId": "<string>",
"inheritPermissions": true,
"inheritedRestrictedDownload": true,
"kind": "<string>",
"permissions": [
{
"inherited": true,
"name": "<string>",
"name_i18n": "<string>",
"thumbnailPhotoUrl": "<string>",
"value": "<string>"
}
],
"restrictedDownload": true
}
'import requests
url = "https://aodocs.altirnao.com/api/folder/v1/folders/{folderId}/extendedPermissions"
payload = {
"folderId": "<string>",
"inheritPermissions": True,
"inheritedRestrictedDownload": True,
"kind": "<string>",
"permissions": [
{
"inherited": True,
"name": "<string>",
"name_i18n": "<string>",
"thumbnailPhotoUrl": "<string>",
"value": "<string>"
}
],
"restrictedDownload": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
folderId: '<string>',
inheritPermissions: true,
inheritedRestrictedDownload: true,
kind: '<string>',
permissions: [
{
inherited: true,
name: '<string>',
name_i18n: '<string>',
thumbnailPhotoUrl: '<string>',
value: '<string>'
}
],
restrictedDownload: true
})
};
fetch('https://aodocs.altirnao.com/api/folder/v1/folders/{folderId}/extendedPermissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folderId": "<string>",
"inheritPermissions": true,
"inheritedRestrictedDownload": true,
"kind": "<string>",
"permissions": [
{
"inherited": true,
"name": "<string>",
"name_i18n": "<string>",
"thumbnailPhotoUrl": "<string>",
"value": "<string>"
}
],
"restrictedDownload": true
}Post folderv1folders extendedpermissions
Updates folder permissions and related flags in Secured Folder and Document Management libraries
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
Whether the folder inherits permissions from its parent folder
Whether the attachments of the document are restricted to download, copy and print for readers and commenters because of an ancestor (read-only)
Show child attributes
Show child attributes
Whether the attachments of the documents are explicitly marked as restricted to download, copy and print for readers and commenters
Response
A ApiFolderPermissions response
Whether the folder inherits permissions from its parent folder
Whether the attachments of the document are restricted to download, copy and print for readers and commenters because of an ancestor (read-only)
Show child attributes
Show child attributes
Whether the attachments of the documents are explicitly marked as restricted to download, copy and print for readers and commenters